#!/bin/sh
# ----------------------------------------------------------------------
# (C) COPYRIGHT International Business Machines Corp. 2000-2003
# All Rights Reserve
#
# US Government Users Restricted Rights - Use, duplication o
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
# dsyctldb.sh: Create the DB2 Everyplace Mobile Devices contro
# database
# ----------------------------------------------------------------------
USER=$1
PASSWD=$2

if [ -z "$USER" ]; then
	echo Wrong number of parameters!
    echo "You need to specify two parameters (username and password to connect to DSYCTLDB)"
	exit 1
fi

if [ -z "$PASSWD" ]; then
	echo Wrong number of parameters!
    echo "You need to specify two parameters (username and password to connect to DSYCTLDB)"
	exit 1
fi

rm -f "$DSYINSTDIR/Server/logs/dsyctldb.log"
rm -f "$DSYINSTDIR/Server/logs/dsyproperties.log"
rm -f "$DSYINSTDIR/Server/logs/dsysetid.log"

"$DB2PATH/bin/db2" create database DSYCTLDB > "$DSYINSTDIR/Server/logs/createdb.log"

"$DB2PATH/bin/db2" connect to DSYCTLDB user $USER using $PASSWD
"$DB2PATH/bin/db2" -vtf "$DSYINSTDIR/Server/bin/dsyctldb.ddl" -z "$DSYINSTDIR/Server/logs/dsyctldb.log"
"$DB2PATH/bin/db2" -vtf "$DSYINSTDIR/Server/bin/dsyproperties.ddl" -z "$DSYINSTDIR/Server/logs/dsyproperties.log"

. $DSYINSTDIR/Server/bin/dsysetid.sh ID > $DSYINSTDIR/Server/logs/dsysetid.log
. $DSYINSTDIR/Server/bin/dsymsgdbproperties.sh SETUP $USER $PASSWD > $DSYINSTDIR/Server/logs/dsymsgdbproperties.log