@echo off
rem -----------------------------------------------------------------------
rem (C) COPYRIGHT International Business Machines Corp. 2000-2003
rem All Rights Reserved
rem
rem US Government Users Restricted Rights - Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem NAME: dsymsgdbproperties.sh
rem FUNCTION: Inserts properties for the message database in the control database
rem
rem -----------------------------------------------------------------------

if $%1%$==$multiple_server$ goto multiple_server

rem Insert message store properties

:single_server
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.factory','com.ibm.db2ess.messagestores.FileSystemStoreFactory','The MessageStore factory used to create MessageStores')"
"%DB2PATH%\bin\db2" -ovt "update DSY.PROPERTIES set VALUE='com.ibm.db2ess.messagestores.FileSystemStoreFactory' where NAME='messagestore.factory'"
goto end

:multiple_server
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.factory','com.ibm.db2ess.messagestores.DB2StoreFactory','The MessageStore factory used to create MessageStores')"
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.driver','COM.ibm.db2.jdbc.app.DB2Driver','The jdbc driver for the database MessageStores')"
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.url','jdbc:db2:DSYMSGDB','The url to access the database to store MessageStores')"
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.conpoolsize','10','The max number of connections to use for the database MessageStores per sync server')"
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.user','%2','The username for the database MessageStores')"
"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.pswd','%3','The password for the database MessageStores')"

"%DB2PATH%\bin\db2" -ovt "update DSY.PROPERTIES set VALUE='com.ibm.db2ess.messagestores.DB2StoreFactory' where NAME='messagestore.factory'"

:end

"%DB2PATH%\bin\db2" -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.msgdumps.prune.days','7','The number of days to save MSGDUMPS')"

"%DB2PATH%\bin\db2" -ovt "terminate"
