#!/bin/sh
# -----------------------------------------------------------------------
# (C) COPYRIGHT International Business Machines Corp. 2000-2003
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# NAME: dsymsgdbproperties.sh
#
# FUNCTION: Inserts properties for the message database in the control database
# -----------------------------------------------------------------------

if [ "$1" = "single_server" ] || [ "$1" = "typical" ] || [ "$1" = "custom" ]; then
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.factory','com.ibm.db2ess.messagestores.FileSystemStoreFactory','The MessageStore factory used to create MessageStores')"
else
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.factory','com.ibm.db2ess.messagestores.DB2StoreFactory','The MessageStore factory used to create MessageStores')"
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.driver','COM.ibm.db2.jdbc.app.DB2Driver','The jdbc driver for the database MessageStores')"
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.url','jdbc:db2:DSYMSGDB','The url to access the database to store MessageStores')"
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.conpoolsize','10','The max number of connections to use for the database MessageStores per sync server')"
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.user','$2','The username for the database MessageStores')"
    db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.db.pswd','$3','The password for the database MessageStores')"
fi

db2 -ovt "insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','messagestore.msgdumps.prune.days','7','The number of days to save MSGDUMPS')"
db2 -ovt "terminate"
