-------------------------------------------------------------------------
-- (C) COPYRIGHT International Business Machines Corp. 2000-2003
-- All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- dsyproperties.ddl: DB2 Everyplace Mobile Devices properties SQL.
-------------------------------------------------------------------------

--* Insert the DSYCTLDB level into the PROPERTIES table
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','DSYVersion','8','Installed DSYCTLDB version');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','DSYRelease','1','Installed DSYCTLDB release');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','DSYModification','4','Installed DSYCTLDB modification');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','DSYVRMSuffix','GA','Installed DSYCTLDB version suffix');
update DSY.PROPERTIES set VALUE='8',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB version' where NAME='DSYVersion';
update DSY.PROPERTIES set VALUE='1',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB release' where NAME='DSYRelease';
update DSY.PROPERTIES set VALUE='4',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB modification' where NAME='DSYModification';
update DSY.PROPERTIES set VALUE='GA',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB version suffix' where NAME='DSYVRMSuffix';

--* Insert the DSYCTLDB level into the PROPERTIES table (for backward compatibility)
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','dsyctldb.version','8','Installed DSYCTLDB version');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','dsyctldb.release','1','Installed DSYCTLDB release');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','dsyctldb.modification','4','Installed DSYCTLDB modification');
update DSY.PROPERTIES set VALUE='8',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB version' where NAME='dsyctldb.version';
update DSY.PROPERTIES set VALUE='1',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB release' where NAME='dsyctldb.release';
update DSY.PROPERTIES set VALUE='4',TYPE='DSYIdflt',DESCRIPTION='Installed DSYCTLDB modification' where NAME='dsyctldb.modification';

--* Insert the DSYGdflt.properties into the PROPERTIES table
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','DB2ClientSession.Connections','12','The number of connections to be allowed concurrently for any single database for client session (front end) use');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Log.KeepDays','7','The number of days of log entries to keep in the DSYCTLDB DSY.LOG table (default: 7; 0=keep all log entries). Any log entries > this value will automatically be pruned');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Log.PruneToSize','10000','The number of log entries to keep in the DSYCTLDB DSY.LOG table (default: 10000; 0=disable pruning method). Any rows log entries > this value will automatically be pruned');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Jdbc.MaxConnections','50','The maximum number of database connections to allow per DSYCTLDB instance, source instance and mirror instance via JDBC (default: 50; minimum: 5)');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','TaskScheduler.SleepInterval','120','The interval in seconds between runs of the TaskScheduler to perform ScheduledTasks');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Server.ResponseTimeout','10','The amount of time in seconds that the servers should wait before notifying the client of a timeout');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Client.WaitForReplicationTimeout','10','The amount of time to wait for replication to finish before notifying the client that the subscription is blocked');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','RowFilter.OutOfScope.Delete','0','A value of 1 will cause row filters to delete rows that become out of scope on the client device. This may come at the cost of a longer synchronization time for clients that subscribe to tables with row filters');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','MaxSyncPeriod.Days','-1','The period in days which a User may go without synchronizing a Subscription before it will be required to perform a refresh on the next synchronization request. Setting this period shorter will result in a more agressive pruning of the control tables, which will improve the performance of synchronizations and replications, as well as reducing the storage consumption of Sync Server. A value of -1 will disable this pruning function');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','MDAC.SupportsCustomAdaptersSubscriptions','1','Determines whether or not the MDAC will allow custom adapters to be added and custom subscriptions created. In general, most installations will not require this support and these features will be hidden. A value of 0 will cause these options to be hidden. A value of 1 will cause these options to be displayed again in the MDAC (default: 0, values: 0|1)');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','replication.server.recoverytimerperiod','60','The period in which the replication server should check if replication recovery is needed (in seconds)');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','replication.server.checkforupdatesperiod','60','The period in which the replication server should check for configuration changes (in seconds)');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYIdflt','AllowMultipleDevicesPerUser','false','Indicates whether or not more than one device can be associated to a given user.  Please read documentation before enabling this functionality');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Jdbc.Replication.Level','1','The current level of the JDBC replication infrastructure');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYGdflt','Jdbc.Replication.OperationsPerTransaction','50','The number of JDBC replication operations to perform per transaction (0=all)');


--* Insert the DSYJdbcDriverList.properties into the PROPERTIES table
--* One of the following database identifiers should be used in the VALUE
--* column of the PROPERTIES table:
--*    DB2 -------------- for DB2 databases
--*    Ifx -------------- for Informix databases
--*    Oracle ----------- for Oracle databases
--*    SQLServer -------- for Microsoft SQL Server databases
--*    Domino ----------- for Lotus Domino databases
--*    CS --------------- for Cloudscape databases
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','COM.ibm.db2.jdbc.app.DB2Driver','DB2','DB2 JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.informix.jdbc.IfxDriver','Ifx','Informix JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','oracle.jdbc.driver.OracleDriver','Oracle','Oracle JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.microsoft.jdbc.sqlserver.SQLServerDriver','SQLServer','Microsoft SQLServer JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.sybase.jdbc.SybDriver','Syb','Sybase JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.sybase.jdbc2.jdbc.SybDriver','Syb','Sybase JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','lotus.jdbc.domino.DominoDriver','Domino','Lotus Domino JDBC Driver');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.ibm.db2.jcc.DB2Driver','CS','DB2 JCC Driver for Cloudscape');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYJdbcDriverList','com.ibm.as400.access.AS400JDBCDriver','DB2','AS/400 Toolbox for Java');



--* Data type mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver -1 CLOB','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver -2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver -4 BLOB','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver 2004','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver 2005','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','COM.ibm.db2.jdbc.app.DB2Driver 70','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver -1 TEXT','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver -4','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver -5 SERIAL8','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver 1111 BOOLEAN','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver 2004','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.informix.jdbc.IfxDriver 2005','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -1','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -101','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -102','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -103','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -104','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver -4','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 1 NCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 12 NVARCHAR2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 2002','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 2003','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 2004','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 2005','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 2006','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 6','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 7','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 91','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','oracle.jdbc.driver.OracleDriver 92','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -1','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -3','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -4','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -5 BIGINT IDENTITY','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver -6 TINYINT IDENTITY','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 1 UNIQUEIDENTIFIER','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 12 SQL_VARIANT','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 12 SYSNAME','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 2 NUMERIC() IDENTITY','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 3 DECIMAL() IDENTITY','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 4 INT IDENTITY','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.microsoft.jdbc.sqlserver.SQLServerDriver 5 SMALLINT IDENTITY','UNSUPPORTED');

insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver -2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver -6','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver 1111','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver 1 NCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver 12 NVARCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc.SybDriver 12 SYSNAME','UNSUPPORTED');

insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver -2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver -6','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver 1111','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver 1 NCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver 12 NVARCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.sybase.jdbc2.jdbc.SybDriver 12 SYSNAME','UNSUPPORTED');

insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.ibm.db2.jcc.DB2Driver -1 LONG NVARCHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.ibm.db2.jcc.DB2Driver -2','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.ibm.db2.jcc.DB2Driver 1 NATIONAL CHAR','UNSUPPORTED');
insert into dsy.properties(type,name,value) values('DatatypeMappings Unsupported','com.ibm.db2.jcc.DB2Driver 12 NATIONAL CHAR VARYING','UNSUPPORTED');

--* Informix Source specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.1642','92 TIME');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.2052','91 DATE');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.2413','93 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.3594','93 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.4365','93 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 93.4879','93 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver -5 INT8','-5 BIGINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 1111 INTERVAL','1.24 CHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver -1 LVARCHAR','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 1 NCHAR','1 CHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 12','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 4','4 INT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.informix.jdbc.IfxDriver 7','7 REAL');

--* Oracle Source specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver -3','-3 VARCHAR() FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver -5','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver -6','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver -7','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 12','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 2','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 4','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 5','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','oracle.jdbc.driver.OracleDriver 93','93 TIMESTAMP');

--* Microsoft SQL Server Source specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver -7','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver -6 TINYINT','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver 1 NCHAR','1 GRAPHIC');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver 12 NVARCHAR','12 VARGRAPHIC');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver 2 NUMERIC','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver 3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.microsoft.jdbc.sqlserver.SQLServerDriver 93','93 TIMESTAMP');

--* Sybase Source specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver -1','-1.32700 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver -3','-3 VARCHAR() FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver -4','-4 LONG VARCHAR FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver -7','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver 2','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver 3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver 8','6 FLOAT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc.SybDriver 93','93 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver -1','-1.32700 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver -3','-3 VARCHAR() FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver -4','-4 LONG VARCHAR FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver -7','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver 2','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver 3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver 8','6 FLOAT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.sybase.jdbc2.jdbc.SybDriver 93','93 TIMESTAMP');

--* Cloudscape Source specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver -1 LONG VARCHAR','-1.32700 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver -3','-3.32700 LONG VARCHAR FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver -4','-4.32700 LONG VARCHAR FOR BIT DATA');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver -6','-6 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver -7','-7 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Mirror','com.ibm.db2.jcc.DB2Driver 8','8 FLOAT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:*','com.ibm.db2.jcc.DB2Driver -1 LONG VARCHAR','-1.32700 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:*','com.ibm.db2.jcc.DB2Driver -3','-3.32700 BLOB');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:*','com.ibm.db2.jcc.DB2Driver -4','-4.32700 BLOB');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver -1 LONG VARCHAR','-1 VARCHAR');

--* Generic Target mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-1','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-2','-2 BLOB');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-3','-3 BLOB');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-4','-4 BLOB');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-5','12.20 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-6','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','-7','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','1','1 CHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','12','12 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','2','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','3','3 DECIMAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','4','4 INT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','5','5 SMALLINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','6','12.22 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','7','12.13 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','8','12.22 VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:*','93','93.26 TIMESTAMP');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:11','-1','-1 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:11','2','2 NUMERIC');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:11','6','6 FLOAT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:11','7','7 REAL');
insert into dsy.properties(type,name,value) values('DatatypeMappings Generic Target:11','8','8 DOUBLE PRECISION');

--* DB2e Target specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:*','oracle.jdbc.driver.OracleDriver -4','-4.32700 BLOB');

--* Cloudscape Target:11 specific mappings
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -1','-1 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -2','-2.*8 BIT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -3','-3.*8 BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -4','-4.*8 LONG BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -5','-5 BIGINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','oracle.jdbc.driver.OracleDriver -3','-3.*8 BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','oracle.jdbc.driver.OracleDriver -4','-4.*8 LONG BIT VARYING');

insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver -2','-2 BIT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver -3','-3 BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver -4','-4 LONG BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver -5','-5 BIGINT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver 2004','-4 LONG BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Source to Target:11','com.ibm.db2.jcc.DB2Driver 2005','-4 LONG BIT VARYING');

insert into dsy.properties(type,name,value) values('DatatypeMappings Mirror to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -1','-1 LONG VARCHAR');
insert into dsy.properties(type,name,value) values('DatatypeMappings Mirror to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -2','-2.*8 BIT');
insert into dsy.properties(type,name,value) values('DatatypeMappings Mirror to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -3','-3.*8 BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Mirror to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -4','-4.*8 LONG BIT VARYING');
insert into dsy.properties(type,name,value) values('DatatypeMappings Mirror to Target:11','COM.ibm.db2.jdbc.app.DB2Driver -5','-5 BIGINT');



--* Insert the non-fatal errors into the PROPERTIES table
--* The database identifiers must match those in DSYJdbcDriverList.
--* When JDBC replication encounters one of these errors in the source 
--* database, it simply rejects the row that caused the error and continue
--* instead of abandoning the entire replication session.
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','DB2.ERRORCODE.-545','NONFATAL','Check constraint violation');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','Ifx.ERRORCODE.-530','NONFATAL','Check constraint violation');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','Oracle.SQLSTATE.02290','NONFATAL','Check constraint violation');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','SQLServer.ERRORCODE.547','NONFATAL','Check constraint violation');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','Syb.SQLSTATE.44000','NONFATAL','Check constraint violation');
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('JdbcSource.NonFatalError','CS.','NONFATAL','Check constraint violation');



--* Insert Prune Log task as a Scheduled task into the PROPERTIES table 
delete from DSY.PROPERTIES where NAME='com.ibm.mobileservices.util.PruneLogTask';
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYScheduledTasks','com.ibm.db2ess.dsylog.DsyLogPruneTask','3600','Prune Log Task');

--* Insert MSGDUMPS prune task as a Scheduled task into the PROPERTIES table
insert into DSY.PROPERTIES(TYPE,NAME,VALUE,DESCRIPTION) VALUES('DSYScheduledTasks','com.ibm.db2ess.messagestores.utils.MsgDumpsPruneTask','3600','MSGDUMPS Prune Task');


--* Finished
